package cn.superdesk.uniorder.dubbo.facade.organisation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.organisation.SysEnterpriseExtAccounting;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dto.param.organisation.SysEnterpriseExtAccountingParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 企业信息-扩展-对账相关
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-08-20 20:23:17
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-08-20 20:23:17
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSysEnterpriseExtAccountingService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysEnterpriseExtAccountingParam param);

	@Deprecated
	void updateObj(SysEnterpriseExtAccountingParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysEnterpriseExtAccounting findById(Long id);

	@Deprecated
	PageInfo<SysEnterpriseExtAccounting> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysEnterpriseExtAccounting> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/

	void initSysEnterpriseExtAccounting(SysEnterpriseExtAccountingParam param);

	void addSysEnterpriseExtAccounting(SysEnterpriseExtAccountingParam param);

	void updateSysEnterpriseExtAccounting(SysEnterpriseExtAccountingParam param);

	void saveOrUpdateSysEnterpriseExtAccounting(SysEnterpriseExtAccountingParam param, LoginSysUser loginSysUser);


	void deleteSysEnterpriseExtAccounting(Long id);

	SysEnterpriseExtAccounting findSysEnterpriseExtAccountingById(Long id);

	R<List<SysEnterpriseExtAccounting>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
